/**********************************************************************
 * Copyright (c) 2005, 2007 Scapa Technologies Limited and others
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * $Id: PerfmonAgent.h,v 1.2 2007/04/06 01:02:04 jkubasta Exp $
 * 
 * Contributors: 
 * Scapa Technologies Limited - Initial API and implementation
 **********************************************************************/


#ifndef __PERFMON__H__
#define __PERFMON__H__

#ifdef LINUX
#define DEFAULT_COM "librac.so"
#define DEFAULT_RES "libperflin.so"
#endif

#ifdef WIN32
	#define DEFAULT_COM "rac.dll"
	#define DEFAULT_RES "sysperf.dll"
#endif


#include "cominterface.h"
#include "resinterface.h"
#include "DataTransferInterface.h"
#include "DataCollectionInterface.h"

#endif

