/**********************************************************************
 * Copyright (c) 2005, 2007 Scapa Technologies Limited and others
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * $Id: cominterface.h,v 1.2 2007/04/06 01:03:06 jkubasta Exp $
 * 
 * Contributors: 
 * Scapa Technologies Limited - Initial API and implementation
 **********************************************************************/

//////////////////////////////////////////////////////////////
//	The function definitions for the communicationsDLL
//////////////////////////////////////////////////////////////
//
//	The four function defintions to be implemented by the custom
//	communications DLL.
//
//////////////////////////////////////////////////////////////

#ifndef __COM_INTERFACE__H__
#define __COM_INTERFACE__H__

#include "system.h"
#include "hashtable.h"

typedef int	(*LPCOMSTARTUP)(HashTable*, HashTable*, HashTable*);
typedef int	(*LPCOMSHUTDOWN)();
typedef int	(*LPCOMSENDMESSAGE)(char*, int, int);
typedef int (*LPCOMSETAGENTNAME)(char*);

#endif

